Push
API reference

POST /notify

Send a notification to all devices in your account or team.

Authenticate with your account or team API key in the x-api-key header. Replace YOUR_API_KEY in the code samples with your key. See authentication and targeting for details.

POST/notify

Authorization

api_key_header
x-api-key<token>

Account / Team API Key

In: header

Request Body

application/json

Notification

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/notify" \  -H "x-api-key: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "body": "string"  }'
{  "success": true,  "message": "string",  "responses": [    {      "success": true,      "message": "string"    }  ]}